tigase.jaxmpp.core.client.xmpp.modules.chat.xep0184

## Interface MessageDeliveryReceiptsExtension.ReceiptReceivedHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    MessageDeliveryReceiptsExtension

      public static interface MessageDeliveryReceiptsExtension.ReceiptReceivedHandler
      extends EventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `MessageDeliveryReceiptsExtension.ReceiptReceivedHandler.ReceiptReceivedEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onReceiptReceived(SessionObject sessionObject, Chat chat, Message message, String confirmedId)` Called when Message Delivery Receipt is received.

- - ### Method Detail

    - #### onReceiptReceived

          void onReceiptReceived(SessionObject sessionObject,
                                 Chat chat,
                                 Message message,
                                 String confirmedId)

      Called when Message Delivery Receipt is received.
      Parameters:
        `sessionObject` - session object.
        `chat` - chat related to confirmed message.
        `message` - received message with confirmation (this is not confirmed message!).
        `confirmedId` - identifier of confirmed message. May be `null` if confirming client supports older version of Receipts.

Copyright © 2006–2020 Tigase. All rights reserved.